Subject: bug#58270: 29.0.50; vc-tor/TRAMP issue

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 03 Oct 2022 19:12:54 +0200

Philip Kaludercic <[email-masked]> writes:

> but then a user could be deceived into thinking that VC is using tor
> even if it actually isn't the case.  Perhaps adding a warning would be
> enough?  Or could vc-tor be given an option to only activate if
> possible?

I think signalling an error here would be appropriate.

Eli Zaretskii <[email-masked]> writes:

>> I also have the interesting case that I was accessing a file version
>> controlled under RCS, so no network communication was going to be
>> necessary in the first place.
>
> That's a separate problem, I think: we shouldn't use torsocks for
> VCSes that are always local, like RCS and SRC.

Indeed.  So I think this entire torsocks thing is on the wrong level
altogether -- it should be pushed down into the backends instead of
being in vc-dispatcher.el.